package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Knowledge;
import com.ruoyi.web.work.domain.vo.KnowledgeVoList;

import java.util.List;

/**
 * @author lsw
 * @date 2024-07-10
 */
public interface IKnowledgeService extends IService<Knowledge> {
    List<Knowledge> selectList(Knowledge knowledge);

    List<Knowledge> indexList();

    List<KnowledgeVoList> selectAppList(Knowledge knowledge);

    AjaxResult detail(Long id);
}
